Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451086 - =net-nntp/tin-2.0.1 USE=cancel-locks calls AR and RANLIB directly
Summary: =net-nntp/tin-2.0.1 USE=cancel-locks calls AR and RANLIB directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2013-01-09 20:02 UTC by Vicente Olivert Riera (RETIRED)
Modified: 2013-01-11 15:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vicente Olivert Riera (RETIRED) gentoo-dev 2013-01-09 20:02:02 UTC
# grep ^ar * | head -n1
tin-2.0.1:20130109-171833.log:ar -curv libcanlock.a src/sha1.o src/hmac_sha1.o src/base64.o src/canlock.o

# grep ^ranlib * | head -n1
tin-2.0.1:20130109-171833.log:ranlib libcanlock.a
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-10 17:45:31 UTC
It also adds -g to CFLAGS with USE=debug.
Comment 2 Vicente Olivert Riera (RETIRED) gentoo-dev 2013-01-10 17:56:44 UTC
Adding this to src_prepare() fix the AR and RANLIB problem.

# Respect AR and RANLIB (bug #451086)
sed -i libcanlock/Makefile.in -e "s:@AR@:$(tc-getAR):" || die "sed libcanlock/Makefile.in failed"
sed -i libcanlock/Makefile.in -e "s:@RANLIB@:$(tc-getRANLIB):" || die "sed libcanlock/Makefile.in failed"
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-11 15:35:13 UTC
Fixed in 2.0.1 and 2.1.2.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-11 15:35:50 UTC
(In reply to comment #2)
> Adding this to src_prepare() fix the AR and RANLIB problem.
> 
> # Respect AR and RANLIB (bug #451086)
> sed -i libcanlock/Makefile.in -e "s:@AR@:$(tc-getAR):" || die "sed
> libcanlock/Makefile.in failed"
> sed -i libcanlock/Makefile.in -e "s:@RANLIB@:$(tc-getRANLIB):" || die "sed
> libcanlock/Makefile.in failed"

configure already checked nicely whether they were set, so we merely needed to tc-export * in the ebuild.